<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.controlleradmin');

use Joomla\Utilities\ArrayHelper;

/**
 * Items list controller class.
 *
 * @since  1.6
 */
class AjofieldsControllerItems extends JControllerAdmin
{

	public function setView()
	{
		$app     = JFactory::getApplication();
		$session = JFactory::getSession();
		//get id
		$id = $app->input->get('id', '', 'int');

		//Get Profile
		$profile = self::getProfile($id);

		//set id to session
		$session->set('ajoProfile', $profile->id);
		$session->set('ajoProfileIcon', $profile->icon);
		$session->set('ajoProfileTitle', $profile->title);
		$session->set('ajoProfileContext', $profile->context);
		$session->set('ajoProfileOptions', $profile->options);

        //redirect to list
		$app->redirect('index.php?option=com_ajofields&view=items');


	}

	public function getProfile($id)
	{

		$db    = JFactory::getDbo();
		$query = $db
			->getQuery(true)
			->select('*')
			->from($db->quoteName('#__ajofields_profiles'))
			->where($db->quoteName('id') . " = " . $id);

		$db->setQuery($query);
		$result = $db->loadObject();

		return $result;

	}

}
