<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


use Joomla\CMS\Language\LanguageHelper;

$item =$displayData;

$allowNew       = false;
$allowEdit      =  true;
$allowClear     = false;
$allowSelect    = false;
$allowPropagate = true;

$languages = LanguageHelper::getContentLanguages(array(0, 1));

// Load language
JFactory::getLanguage()->load('com_content', JPATH_ADMINISTRATOR);

// The active article id field.
$value = $item->id;

// Create the modal id.
$modalId = 'Article_' . $item->id;

// Add the modal field script to the document head.
JHtml::_('jquery.framework');
JHtml::_('script', 'system/modal-fields.js', array('version' => 'auto', 'relative' => true));

// Script to proxy the select modal function to the modal-fields.js file.
if ($allowSelect)
{
    static $scriptSelect = null;

    if (is_null($scriptSelect))
    {
        $scriptSelect = array();
    }

    if (!isset($scriptSelect[$item->id]))
    {
        JFactory::getDocument()->addScriptDeclaration("
				function jSelectArticle_" . $item->id . "(id, title, catid, object, url, language) {
					window.processModalSelect('Article', '" . $item->id . "', id, title, catid, object, url, language);
				}
				");

        JText::script('JGLOBAL_ASSOCIATIONS_PROPAGATE_FAILED');

        $scriptSelect[$item->id] = true;
    }
}

// Setup variables for display.
$linkArticles = 'index.php?option=com_content&amp;view=articles&amp;layout=modal&amp;tmpl=component&amp;' . JSession::getFormToken() . '=1';
$linkArticle  = 'index.php?option=com_content&amp;view=article&amp;layout=modal&amp;tmpl=component&amp;' . JSession::getFormToken() . '=1';

if (isset($this->element['language']))
{
    $linkArticles .= '&amp;forcedLanguage=' . $this->element['language'];
    $linkArticle  .= '&amp;forcedLanguage=' . $this->element['language'];
    $modalTitle    = JText::_('COM_CONTENT_CHANGE_ARTICLE') . ' &#8212; ' . $this->element['label'];
}
else
{
    $modalTitle    = JText::_('COM_CONTENT_CHANGE_ARTICLE');
}

$urlSelect = $linkArticles . '&amp;function=jSelectArticle_' . $item->id;
$urlEdit   = $linkArticle . '&amp;task=article.edit&amp;id=\' + document.getElementById("' . $item->id . '_id").value + \'';
$urlNew    = $linkArticle . '&amp;task=article.add';
/*
if ($value)
{
    $db    = JFactory::getDbo();
    $query = $db->getQuery(true)
        ->select($db->quoteName('title'))
        ->from($db->quoteName('#__content'))
        ->where($db->quoteName('id') . ' = ' . (int) $value);
    $db->setQuery($query);

    try
    {
        $title = $db->loadResult();
    }
    catch (RuntimeException $e)
    {
        JFactory::getApplication()->enqueueMessage($e->getMessage());

    }
}

$title = empty($title) ? JText::_('COM_CONTENT_SELECT_AN_ARTICLE') : htmlspecialchars($title, ENT_QUOTES, 'UTF-8');
*/
// The current article display field.
$html  = '<span class="input-append">';
//$html .= '<input class="input-medium" id="' . $item->id . '_name" type="text" value="' . $title . '" disabled="disabled" size="35" />';

// Select article button
if ($allowSelect)
{
    $html .= '<button'
        . ' type="button"'
        . ' class="btn hasTooltip' . ($value ? ' hidden' : '') . '"'
        . ' id="' . $item->id . '_select"'
        . ' data-toggle="modal"'
        . ' data-target="#ModalSelect' . $modalId . '"'
        . ' title="' . JHtml::tooltipText('COM_CONTENT_CHANGE_ARTICLE') . '">'
        . '<span class="icon-file" aria-hidden="true"></span> ' . JText::_('JSELECT')
        . '</button>';
}

// New article button
if ($allowNew)
{
    $html .= '<button'
        . ' type="button"'
        . ' class="btn hasTooltip' . ($value ? ' hidden' : '') . '"'
        . ' id="' . $item->id . '_new"'
        . ' data-toggle="modal"'
        . ' data-target="#ModalNew' . $modalId . '"'
        . ' title="' . JHtml::tooltipText('COM_CONTENT_NEW_ARTICLE') . '">'
        . '<span class="icon-new" aria-hidden="true"></span> ' . JText::_('JACTION_CREATE')
        . '</button>';
}

// Edit article button
if ($allowEdit)
{
    $html .= '<button'
        . ' type="button"'
        . ' class="btn hasTooltip' . ($value ? '' : ' hidden') . '"'
        . ' id="' . $item->id . '_edit"'
        . ' data-toggle="modal"'
        . ' data-target="#ModalEdit' . $modalId . '"'
        . ' title="' . JHtml::tooltipText('COM_CONTENT_EDIT_ARTICLE') . '">'
        . '<span class="icon-edit" aria-hidden="true"></span> ' . JText::_('JACTION_EDIT')
        . '</button>';
}

// Clear article button
if ($allowClear)
{
    $html .= '<button'
        . ' type="button"'
        . ' class="btn' . ($value ? '' : ' hidden') . '"'
        . ' id="' . $item->id . '_clear"'
        . ' onclick="window.processModalParent(\'' . $item->id . '\'); return false;">'
        . '<span class="icon-remove" aria-hidden="true"></span>' . JText::_('JCLEAR')
        . '</button>';
}

// Propagate article button
if ($allowPropagate && count($languages) > 2)
{
    // Strip off language tag at the end
    $tagLength = (int) strlen($this->element['language']);
    $callbackFunctionStem = substr("jSelectArticle_" . $item->id, 0, -$tagLength);

    $html .= '<a'
        . ' class="btn hasTooltip' . ($value ? '' : ' hidden') . '"'
        . ' id="' . $item->id . '_propagate"'
        . ' href="#"'
        . ' title="' . JHtml::tooltipText('JGLOBAL_ASSOCIATIONS_PROPAGATE_TIP') . '"'
        . ' onclick="Joomla.propagateAssociation(\'' . $item->id . '\', \'' . $callbackFunctionStem . '\');">'
        . '<span class="icon-refresh" aria-hidden="true"></span>' . JText::_('JGLOBAL_ASSOCIATIONS_PROPAGATE_BUTTON')
        . '</a>';
}

$html .= '</span>';

// Select article modal
if ($allowSelect)
{
    $html .= JHtml::_(
        'bootstrap.renderModal',
        'ModalSelect' . $modalId,
        array(
            'title'       => $modalTitle,
            'url'         => $urlSelect,
            'height'      => '400px',
            'width'       => '800px',
            'bodyHeight'  => '70',
            'modalWidth'  => '80',
            'footer'      => '<button type="button" class="btn" data-dismiss="modal">' . JText::_('JLIB_HTML_BEHAVIOR_CLOSE') . '</button>',
        )
    );
}

// New article modal
if ($allowNew)
{
    $html .= JHtml::_(
        'bootstrap.renderModal',
        'ModalNew' . $modalId,
        array(
            'title'       => JText::_('COM_CONTENT_NEW_ARTICLE'),
            'backdrop'    => 'static',
            'keyboard'    => false,
            'closeButton' => false,
            'url'         => $urlNew,
            'height'      => '400px',
            'width'       => '800px',
            'bodyHeight'  => '70',
            'modalWidth'  => '80',
            'footer'      => '<button type="button" class="btn"'
                . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'add\', \'article\', \'cancel\', \'item-form\'); return false;">'
                . JText::_('JLIB_HTML_BEHAVIOR_CLOSE') . '</button>'
                . '<button type="button" class="btn btn-primary"'
                . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'add\', \'article\', \'save\', \'item-form\'); return false;">'
                . JText::_('JSAVE') . '</button>'
                . '<button type="button" class="btn btn-success"'
                . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'add\', \'article\', \'apply\', \'item-form\'); return false;">'
                . JText::_('JAPPLY') . '</button>',
        )
    );
}

// Edit article modal
if ($allowEdit)
{
    $html .= JHtml::_(
        'bootstrap.renderModal',
        'ModalEdit' . $modalId,
        array(
            'title'       => JText::_('COM_CONTENT_EDIT_ARTICLE'),
            'backdrop'    => 'static',
            'keyboard'    => false,
            'closeButton' => false,
            'url'         => $urlEdit,
            'height'      => '400px',
            'width'       => '800px',
            'bodyHeight'  => '70',
            'modalWidth'  => '80',
            'footer'      => '<button type="button" class="btn"'
                . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'edit\', \'article\', \'cancel\', \'item-form\');   return false;">'
                . JText::_('JLIB_HTML_BEHAVIOR_CLOSE') . '</button>'
                /*. '<button type="button" class="btn btn-primary"'
	            . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'edit\', \'article\', \'save\', \'item-form\');  return false;">'
	            . JText::_('JSAVE') . '</button>'*/

                . '<button type="button" class="btn btn-success"'
                . ' onclick="window.processModalEdit(this, \'' . $item->id . '\', \'edit\', \'article\', \'apply\', \'item-form\');showRefresh(); return false;">'
                . JText::_('JAPPLY') . '</button>',
        )
    );
}

// Note: class='required' for client side validation.
$class = ' class="required modal-value" ';

$html .= '<input type="hidden" id="' . $item->id . '_id" ' . $class . ' data-required="true" name="' . $item->alias
    . '" data-text="' . htmlspecialchars(JText::_('COM_CONTENT_SELECT_AN_ARTICLE', true), ENT_COMPAT, 'UTF-8') . '" value="' . $value . '" />';

echo $html;