<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');

/**
 * Supports an HTML select list of extra charge types
 *
 * @package     Solidres
 * @subpackage	Extra
 * @since		1.6
 */
class JFormFieldClassj3 extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	public $type = 'Classj3';

	/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @since   1.6
	 */
	public function getOptions()
	{
		$options = array();

		$options[] = JHTML::_('select.option', '', '-' );
        $options[] = JHTML::_('select.option', 'small', 'small' );
		$options[] = JHTML::_('select.option', 'center', 'text-center');
		$options[] = JHTML::_('select.option', 'nowrap', 'nowrap' );
		$options[] = JHTML::_('select.option', 'hidden-phone', 'hidden-phone' );



		return array_merge(parent::getOptions(), $options);
	}
}