<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Utilities\ArrayHelper;

JFormHelper::loadFieldClass('list');

/**
 * Fields Groups
 *
 * @since  3.7.0
 */
class JFormFieldFields extends JFormFieldList
{
	public $type = 'Fields';

	/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @since   3.7.0
	 */
	protected function getOptions()
	{

		$session = JFactory::getSession();
		$context = 		$session->get('ajoProfileContext', 'com_content.article');


		$helper = new AjofieldsHelper;
		$fields = $helper->getFields($context);

		$options = array();
		foreach ($fields->fields as $field)
		{

			$options[] = JHTML::_('select.option', $field->field,  JText::_($field->tab).' - '. JText::_($field->jtext), 'value', 'text', false);

		}


		JLoader::register('FieldsHelper', JPATH_ADMINISTRATOR . '/components/com_fields/helpers/fields.php');

		$cfFields = FieldsHelper::getFields($context);
		$countcf  = count($cfFields);
		if ($countcf > 0)
		{
		foreach ($cfFields as $cfField)
		{

			$options[] = JHTML::_('select.option', 'cf_' . $cfField->name, JText::_('JGLOBAL_FIELDS_TITLE').' - '. $cfField->title, 'value', 'text', false);

		}
		}

;



		return array_merge(parent::getOptions(), $options);
	}
}
