<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * dashboard ajofields
 *
 * @since  1.6
 */
class AjofieldsViewDashboard extends JViewLegacy
{

    /**
     * Ajofields helper
     *
     * @var    AjofieldsHelper
     * @since  1.0
     */
    protected $helper;

    /**
     * The sidebar to show
     *
     * @var    string
     * @since  1.0
     */
    protected $sidebar = '';


	/**
	 * Display the view
	 *
	 * @param   string  $tpl  Template name
	 *
	 * @return void
	 *
	 * @throws Exception
	 */
	public function display($tpl = null)
	{


        // Show the sidebar
        $this->helper = new AjofieldsHelper;
        $this->helper->addSubmenu('dashboard');


        $this->addToolbar();

        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return void
	 *
	 * @since    1.6
	 */
	protected function addToolbar()
	{

        JToolBarHelper::title(JText::_('COM_AJOFIELDS'), 'dashboard');

	}


}
