<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_SITE . '/components/com_content/helpers/html');
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

$i = 0;
foreach ($this->ajoitems as $item) {
    $i++;
}
$columns = $i;


$session = JFactory::getSession();
$options = json_decode($session->get('ajoProfileOptions'));


$list = $this->params->get('list');


JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', '.multipleTags', null, array('placeholder_text_multiple' => JText::_('JOPTION_SELECT_TAG')));
JHtml::_('formbehavior.chosen', '.multipleCategories', null, array('placeholder_text_multiple' => JText::_('JOPTION_SELECT_CATEGORY')));
JHtml::_('formbehavior.chosen', '.multipleAccessLevels', null, array('placeholder_text_multiple' => JText::_('JOPTION_SELECT_ACCESS')));
JHtml::_('formbehavior.chosen', '.multipleAuthors', null, array('placeholder_text_multiple' => JText::_('JOPTION_SELECT_AUTHOR')));
JHtml::_('formbehavior.chosen', 'select');

$app = JFactory::getApplication();
$user = JFactory::getUser();

$userId = $user->get('id');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$saveOrder = $listOrder == 'a.ordering';


if (strpos($listOrder, 'publish_up') !== false) {
    $orderingColumn = 'publish_up';
} elseif (strpos($listOrder, 'publish_down') !== false) {
    $orderingColumn = 'publish_down';
} elseif (strpos($listOrder, 'modified') !== false) {
    $orderingColumn = 'modified';
} else {
    $orderingColumn = 'created';
}

if ($saveOrder) {
    $saveOrderingUrl = 'index.php?option=com_content&task=articles.saveOrderAjax&tmpl=component';
    JHtml::_('sortablelist.sortable', 'itemList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}

$assoc = JLanguageAssociations::isEnabled();






?>

<form action="<?php echo JRoute::_('index.php?option=com_ajofields&view=items'); ?>" method="post" name="adminForm"
      id="adminForm">
    <?php if (!empty($this->sidebar)) : ?>
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="span10">
        <?php else : ?>
        <div id="j-main-container">
            <?php endif; ?>
            <?php
            $layout = new JLayoutFile('common.refresh', $basePath = JPATH_ROOT . '/components/com_ajofields/layouts');
            echo $layout->render();


            if ($options->filters_hidden == 0) {
                $filtersHidden = false;
            } else {
                $filtersHidden = true;
            }
            // Search tools bar
            echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this, 'options' => array('filtersHidden' => $filtersHidden)));
            ?>
            <?php if (empty($this->items)) : ?>
                <div class="alert alert-no-items">
                    <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
            <?php else : ?>

                <div class="clearfix"></div>

                <?php
                if ($options->show_total) {

                    $layout = new JLayoutFile('common.total', $basePath = JPATH_ROOT . '/components/com_ajofields/layouts');
                    echo $layout->render($this->total);
                }

                ?>


                <table class="table table-striped table-hover" id="itemList">
                    <thead>
                    <tr>
                                     <?php
                        foreach ($this->ajoitems as $li) {
                            $width = "";
                            $var = strtoupper($li->fields);
                            if ($li->width > 0) {
                                $width = 'width="' . $li->width . '%"';
                            }
                            if ($li->label) {


                                if ($li->label == "*") {
                                    $li->jtext = '';
                                } else {

                                    $li->jtext = $li->label;
                                }
                            }
                            ?>


                            <th class="<?php
                            foreach ($li->th_class as $class) {
                                echo $class . ' ';
                            }; ?>" <?php echo $width ?>>

                                <?php

                                if ($li->th_options == 'text') {
                                    $li->icon = "";
                                }
                                if ($li->th_options == 'icon') {
                                    $li->jtext = "";
                                }
                                if ($li->sort) {
                                    echo JHtml::_('searchtools.sort', $li->jtext, $li->sort, $listDirn, $listOrder, '', '', '', $li->icon);
                                } else {

                                    if ($li->icon) {
                                        echo '<span class="' . $li->icon . '"></span>';

                                    }

                                    echo JText::_($li->jtext);
                                }

                                ?>
                            </th>

                        <?php } ?>

                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <td colspan="<?php echo $columns; ?>">
                        </td>
                    </tr>
                    </tfoot>
                    <tbody>
                    <?php foreach ($this->items as $i => $item) {

                        if ($this->context == "com_content.article") {


                            $item->max_ordering = 0;
                            $ordering = ($listOrder == 'a.ordering');
                            $canCreate = $user->authorise('core.create', 'com_content.category.' . $item->catid);
                            $canEdit = $user->authorise('core.edit', 'com_content.article.' . $item->id);
                            $canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;
                            $canEditOwn = $user->authorise('core.edit.own', 'com_content.article.' . $item->id) && $item->created_by == $userId;
                            $canChange = $user->authorise('core.edit.state', 'com_content.article.' . $item->id) && $canCheckin;
                            $canEditCat = $user->authorise('core.edit', 'com_content.category.' . $item->catid);
                            $canEditOwnCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->catid) && $item->category_uid == $userId;
                            $canEditParCat = $user->authorise('core.edit', 'com_content.category.' . $item->parent_category_id);
                            $canEditOwnParCat = $user->authorise('core.edit.own', 'com_content.category.' . $item->parent_category_id) && $item->parent_category_uid == $userId;
                        }


                        if ($this->context == "com_users.user") {
                            $canEdit = $this->canDo->get('core.edit');
                            $canChange = $user->authorise('core.edit.state', 'com_users');

                            // If this group is super admin and this user is not super admin, $canEdit is false
                            if ((!$user->authorise('core.admin')) && JAccess::check($item->id, 'core.admin')) {
                                $canEdit = false;
                                $canChange = false;
                            }
                        }

                        if ($this->context == "com_contact.contact") {
                            $canEdit = $this->canDo->get('core.edit');
                            $canChange = $user->authorise('core.edit.state', 'com_contact');

                            // If this group is super admin and this user is not super admin, $canEdit is false
                            if ((!$user->authorise('core.admin')) && JAccess::check($item->id, 'core.admin')) {
                                $canEdit = false;
                                $canChange = false;
                            }
                        }


                        ?>
                        <?php if (isset ($item->catid)) { ?>
                            <tr class="row<?php echo $i % 2; ?>" sortable-group-id="<?php echo $item->catid; ?>">

                        <?php } else { ?>
                            <tr class="row<?php echo $i % 2; ?>">
                        <?php } ?>
                        <?php
                        foreach ($this->ajoitems as $li) {


                            $layout = new JLayoutFile('fields.default', $basePath = JPATH_ROOT . '/components/com_ajofields/layouts');

                                        $var = $li->fields; ?>


                            <td class="<?php
                            foreach ($li->class as $class) {
                                echo $class . ' ';
                            }; ?>" <?php echo $width ?>>


                                <?php if (isset ($item->$var)) {
                                    $li->var = $item->$var;
                                } else {
                                    if (substr($var, 0, 7) === "images_") {
                                        $str2 = substr($var, 7);
                                        $images = json_decode($item->images);
                                        if (isset ($images->$str2)) {
                                            $li->var = $images->$str2;
                                        }

                                    }

                                    if (substr($var, 0, 5) === "urls_") {
                                        $str2 = substr($var, 5);
                                        $images = json_decode($item->urls);
                                        if (isset ($images->$str2)) {
                                            $li->var = $images->$str2;
                                        }

                                    }

                                    if (substr($var, 0, 9) === "metadata_") {
                                        $str2 = substr($var, 9);
                                        $images = json_decode($item->metadata);
                                        if (isset ($images->$str2)) {
                                            $li->var = $images->$str2;
                                        }

                                    }

                                }

                                $specials = array('category_title', 'edit', 'state', 'featured', 'language', 'published', 'group_names', 'ordering');

                                if (in_array($var, $specials)) {


                                    if ($var == "category_title") {

                                        if ($this->context == "com_contact.contact") {
                                            echo $this->escape($item->category_title);

                                        }

                                        if ($this->context == "com_content.article") {
                                            $ParentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->parent_category_id . '&extension=com_content');
                                            $CurrentCatUrl = JRoute::_('index.php?option=com_categories&task=category.edit&id=' . $item->catid . '&extension=com_content');


                                            $EditCatTxt = JText::_('COM_CONTENT_EDIT_CATEGORY');

                                            //  echo JText::_('JCATEGORY') . ': ';

                                            if ($item->category_level != '1') :
                                                if ($item->parent_category_level != '1') :
                                                    echo ' &#187; ';
                                                endif;
                                            endif;

                                            if (JFactory::getLanguage()->isRtl()) {

                                                echo $this->escape($item->category_title);


                                                if ($item->category_level != '1') {
                                                    echo ' &#171; ';

                                                    echo $this->escape($item->parent_category_title);

                                                }
                                            } else {
                                                if ($item->category_level != '1') :

                                                    echo $this->escape($item->parent_category_title);

                                                    echo ' &#187; ';
                                                endif;

                                                echo $this->escape($item->category_title);


                                            }
                                        }

                                    }


                                    if ($var == "edit") {
                                        $modal = new JLayoutFile('fields.modaledit', $basePath = JPATH_ROOT . '/components/com_ajofields/layouts');
                                        echo $modal->render($item);
                                    }


                                    if ($var == "state") {

                                        echo JHtml::_('jgrid.published', $item->state, $i, 'articles.', $canChange, 'cb', $item->publish_up, $item->publish_down);


                                    }

                                    if ($var == "published") {



                                        echo JHtml::_('jgrid.published', $item->published, $i, 'contacts.', $canChange, 'cb', $item->publish_up, $item->publish_down);

                                    }

                                    if ($var == "featured") {

                                        if ($this->context == "com_contact.contact") {

                                            //echo JHtml::_('contact.featured', $item->featured, $i, $canChange);

                                        }

                                        if ($this->context == "com_content.article") {

                                            echo JHtml::_('contentadministrator.featured', $item->featured, $i, $canChange);

                                        }

                                    }

                                    if ($var == "language") {
                                        echo JLayoutHelper::render('joomla.content.language', $item);

                                    }
                                    if ($var == "ordering") {
                                        ?>
                                        <?php
                                        $iconClass = '';

                                        if (!$canChange) {
                                            $iconClass = ' inactive';
                                        } elseif (!$saveOrder) {
                                            $iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::_('tooltipText', 'JORDERINGDISABLED');
                                        }

                                        ?>
                                        <span class="sortable-handler<?php echo $iconClass; ?>">
								<span class="icon-menu" aria-hidden="true"></span>
							</span>
                                        <?php if ($canChange && $saveOrder) : ?>
                                            <input type="text" style="display:none" name="order[]" size="5"
                                                   value="<?php echo $item->ordering; ?>"
                                                   class="width-20 text-area-order"/>
                                        <?php endif; ?>
                                        <?php

                                    }
                                    if ($var == "group_names") {
                                        if (substr_count($item->group_names, "\n") > 1) : ?>
                                            <span class="hasTooltip"
                                                  title="<?php echo JHtml::_('tooltipText', JText::_('COM_USERS_HEADING_GROUPS'), nl2br($item->group_names), 0); ?>"><?php echo JText::_('COM_USERS_USERS_MULTIPLE_GROUPS'); ?></span>
                                        <?php else : ?>
                                            <?php echo nl2br($item->group_names); ?>
                                        <?php endif;

                                    }

                                } else {

                                    echo $layout->render($li);
                                }


                                ?>


                            </td>


                        <?php } ?>


                        </tr>
                    <?php }; ?>
                    </tbody>
                </table>


            <?php endif; ?>

            <?php echo $this->pagination->getListFooter(); ?>

            <input type="hidden" name="task" value=""/>
            <input type="hidden" name="boxchecked" value="0"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
</form>
