<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('jquery.framework');
JHtml::_('behavior.formvalidator');
JHtml::_('formbehavior.chosen', '#jform_catid', null, array('disable_search_threshold' => 0));
JHtml::_('formbehavior.chosen', 'select');


$document = JFactory::getDocument();
$document->addScript(JUri::root() . 'media/com_ajofields/js/script.js');
$document->addStyleSheet(JURI::root() . 'media/com_ajofields/css/style.css');

$document->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "profile.cancel" || document.formvalidator.isValid(document.getElementById("profile-form")))
		{
			Joomla.submitform(task, document.getElementById("profile-form"));
		}
	};
		
');
?>


<form
        action="<?php echo JRoute::_('index.php?option=com_ajofields&layout=edit&id=' . (int)$this->item->id); ?>"
        method="post" enctype="multipart/form-data" name="adminForm" id="profile-form" class="form-validate">


    <div class="row-fluid">
        <div class="span4 form-horizontal">
            <?php
            echo $this->form->renderField('title');
            echo $this->form->renderField('icon');
            echo $this->form->renderField('state'); ?>
        </div>
        <div class="span4 form-horizontal">
            <h4>options</h4>
            <?php
            foreach ($this->form->getGroup('options') as $field) {
                echo $field->renderField();
            }
            ?>
        </div>
        <div class="span4 form-horizontal">
            <?php echo $this->form->renderField('note'); ?>
        </div>
    </div>
    <div class="row-fluid">
        <div class="span12">
            <?php
            if (empty($this->item->context)) {
                echo '<h3>' . 'Select first a context and save' . '</h3>';
                echo $this->form->renderField('context');
            } else {
                foreach ($this->form->getFieldsets() as $fieldset) {
                    $fields = $this->form->getFieldset($fieldset->name);
                    if (count($fields)) {
                        foreach ($fields as $field) {
                            echo $field->renderField();
                        }
                    }
                } ?>
                <p>Total width: <span id="widthsum"></span></p>
                <input type="hidden" name="jform[context]" id="jform_context"
                       value="<?php echo $this->item->context ?>"/>
                <?php
            }
            ?>
            <?php echo $this->form->renderField('description'); ?>
        </div>
    </div>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>
